Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-50750

Attemp to (de-)serialize anonymous class javaposse.jobdsl.plugin.LookupStrategy$2

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Component/s: job-dsl-plugin
    • Labels:
      None
    • Environment:
      Jenkins 2.116
      Job DSL Plugin 1.68
    • Similar Issues:

      Description

      After upgrade Jenkins to 2.116 I see in the logs the following error:

      Apr 11, 2018 9:06:15 PM WARNING org.jenkinsci.remoting.util.AnonymousClassWarnings warn
      Attempt to (de-)serialize anonymous class javaposse.jobdsl.plugin.LookupStrategy$2 in file:/var/lib/jenkins/plugins/job-dsl/WEB-INF/lib/classes.jar; see: https://jenkins.io/redirect/serialization-of-anonymous-classes/

      It is not related to the plugin version - I tried to downgrade to 1.67 - problem still exists in this version. Before Jenkins upgrade (it was a direct upgrade from 2.114 to 2.116) I hadn't had such errors.

        Attachments

          Activity

            People

            • Assignee:
              daspilker Daniel Spilker
              Reporter:
              ewypych Emil Wypych
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: